| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Image
Image.Image

# Method Image.Image()->paste_mask()

Method paste_mask

  `object paste_mask(object image, object mask)`
  `object paste_mask(object image, object mask, int x, int y)`

Description

  Pastes a given image over the current image, using the given mask as opaque channel.

  A pixel value of 255 makes the result become a pixel from the given image, 0 doesn't change anything.

  The masks red, green and blue values are used separately.

Parameter `image`

  image to paste

Parameter `mask`

  mask image

Parameter `x`
Parameter `y`

  where to paste the image; default is 0,0

Returns

  the object called

See also

  paste , paste_alpha , paste_alpha_color